Subject: bug#57052: closed (Re: bug#57052: elogind-service specifies a variable that's ignored by defualt)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 10 Aug 2022 04:39:02 +0000

Your bug report

#57052: elogind-service specifies a variable that's ignored by defualt

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
57052: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57052
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#57052: elogind-service specifies a variable that's ignored by defualt
From: Maxim Cournoyer <[email-masked]>
To: Cairn <[email-masked]>
Cc: [email-masked], [email-masked], Tobias Geerinckx-Rice <[email-masked]>
Date: Wed, 10 Aug 2022 00:38:34 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Cairn <[email-masked]> writes:

> Would it not still be explicit if variables that should go unspecified
> were written out, but not given a value? Maybe I'm misunderstanding
> the point of explicit values though.

I made it *unspecified* in 59ee837d8b, given this service config doesn't
yet use 'define-configuration' that would have allowed for a proper
maybe-value.

Tested to work on a X200 and pushed!

Closing, at last.

Thanks,

Maxim

Subject: elogind-service specifies a variable that's ignored by defualt
From: Cairn <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sun, 07 Aug 2022 23:29:30 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

"HandleLidSwitchExternalPower= is completely ignored by default (for backwards compatibility)"[1]

I noticed (with help in IRC) that my laptop wasn't suspending on lid close when plugged in and charging, which I hadn't seen happen on other systems. I now know that I can set this by configuring the `elogind-service` parameter `handle-lid-switch-external-power`. Regardless, it seems like it should default to being unset rather than set/ignored, since that would heed the line I quoted above.

[1]: https://www.freedesktop.org/software/systemd/man/logind.conf.html